function [histogram,pocet] = hist2D(vstup1,vstup2, nbins1,nbins2)

% Funkce pro výpočet dvojrozměrného histogramu z LBP
% Vstupy do funkce:
% vstup1 - matice hodnot získaná z LBP distribuce
% vstup2 - výstup z funkce diskretizace pro překvantování matice
% nbins1 - počet hladin histogramu1
% nbins2 - počet hladin histogramu2
% výstupní sdružený histogram má pak rozměry nbins1 x nbins2

[a b] = size(vstup1);
hist = zeros(nbins1,nbins2);
pocet = 0;

for i=1:a
    for j=1:b
        x = vstup1(i,j);
        y = vstup2(i,j);
        
        hist(x+1,y+1) = hist(x+1,y+1) + 1;
        pocet=pocet+1;        
    end
end

histogram = hist; 